<?php
/**
 * Flycase recommended plugins
 *
 * @package WordPress
 * @subpackage Flycase
 * @since Flycase 1.0.0
 */

// delete_user_meta( get_current_user_id(), 'tgmpa_dismissed_notice' );

require_once( WOLF_FRAMEWORK_DIR . '/classes/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'wolf_theme_register_required_plugins' );
function wolf_theme_register_required_plugins() {

	/**
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		array(
			'name'    => 'Revolution Slider', // The plugin name
			'slug'   => 'revslider', // The plugin slug (typically the folder name)
			'source'   => WOLF_THEME_URL . '/includes/admin/plugins/revslider.zip', // The plugin source
			'required' => false, // If false, the plugin is only 'recommended' instead of required
			'version' => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' => WOLF_THEME_URL . '/includes/admin/plugins/revslider.zip', // If set, overrides default API URL and points to an external URL
		),

		array(
			'name'    => 'Wolf Widgets Pack', // The plugin name
			'slug'   => 'wolf-widgets-pack', // The plugin slug (typically the folder name)
			'source'   => 'http://plugins.wolfthemes.com/wolf-widgets-pack/wolf-widgets-pack.zip', // The plugin source
			'required' => false, // If false, the plugin is only 'recommended' instead of required
			'version' => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' => 'http://plugins.wolfthemes.com/wolf-widgets-pack/wolf-widgets-pack.zip', // If set, overrides default API URL and points to an external URL
		),

		array(
			'name'    => 'Wolf Albums',
			'slug'   => 'wolf-albums',
			'source'   => 'http://plugins.wolfthemes.com/wolf-albums/wolf-albums.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-albums/wolf-albums.zip',
		),

		array(
			'name'    => 'Wolf Discography',
			'slug'   => 'wolf-discography',
			'source'   => 'http://plugins.wolfthemes.com/wolf-discography/wolf-discography.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-discography/wolf-discography.zip',
		),

		array(
			'name'    => 'Wolf jPlayer',
			'slug'   => 'wolf-jplayer',
			'source'   => 'http://plugins.wolfthemes.com/wolf-jplayer/wolf-jplayer.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-jplayer/wolf-jplayer.zip',
		),

		array(
			'name'    => 'Wolf Tour Dates',
			'slug'   => 'wolf-tour-dates',
			'source'   => 'http://plugins.wolfthemes.com/wolf-tour-dates/wolf-tour-dates.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-tour-dates/wolf-tour-dates.zip',
		),

		array(
			'name'    => 'Wolf Videos',
			'slug'   => 'wolf-videos',
			'source'   => 'http://plugins.wolfthemes.com/wolf-videos/wolf-videos.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-videos/wolf-videos.zip',
		),

		array(
			'name'    => 'Wolf Music Network',
			'slug'   => 'wolf-music-network',
			'source'   => 'http://plugins.wolfthemes.com/wolf-music-network/wolf-music-network.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-music-network/wolf-music-network.zip',
		),

		array(
			'name'    => 'Wolf Twitter',
			'slug'   => 'wolf-twitter',
			'source'   => 'http://plugins.wolfthemes.com/wolf-twitter/wolf-twitter.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-twitter/wolf-twitter.zip',
		),

		array(
			'name'    => 'Wolf Message Bar',
			'slug'   => 'wolf-message-bar',
			'source'   => 'http://plugins.wolfthemes.com/wolf-message-bar/wolf-message-bar.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-message-bar/wolf-message-bar.zip',
		),

		array(
			'name'    => 'WolfGram',
			'slug'   => 'wolf-gram',
			'source'   => 'http://plugins.wolfthemes.com/wolf-gram/wolf-gram.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-gram/wolf-gram.zip',
		),

		array(
			'name'    => 'WolfSidebars',
			'slug'   => 'wolf-sidebars',
			'source'   => 'http://plugins.wolfthemes.com/wolf-sidebars/wolf-sidebars.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-sidebars/wolf-sidebars.zip',
		),

		array(
			'name'    => 'WolfShortcodes',
			'slug'   => 'wolf-shortcodes',
			'source'   => 'http://plugins.wolfthemes.com/wolf-shortcodes/wolf-shortcodes.zip',
			'required' => false,
			'version' => '',
			'force_activation' => false,
			'force_deactivation' => false,
			'external_url' => 'http://plugins.wolfthemes.com/wolf-shortcodes/wolf-shortcodes.zip',
		),

		//This is an example of how to include a plugin from the WordPress Plugin Repository
		array(
			'name' 		=> 'Contact Form 7',
			'slug' 		=> 'contact-form-7',
			'required' 	=> false,
		),

		array(
			'name' 		=> 'WooCommerce',
			'slug' 		=> 'woocommerce',
			'required' 	=> false,
		),

	);

	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'wolf';

	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'domain'       		=> 'wolf',         	// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
		'parent_menu_slug' 	=> 'themes.php', 				// Default parent menu slug
		'parent_url_slug' 	=> 'themes.php', 				// Default parent URL slug
		'menu'         		=> 'install-required-plugins', 	// Menu slug
		'has_notices'      	=> true,                       	// Show admin notices or not
		'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
		'message' 			=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'          	=> __( 'Install Required Plugins', $theme_text_domain ),
			'menu_title'                       			=> __( 'Install Plugins', $theme_text_domain ),
			'installing'                       		=> __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
			'oops'                             			=> __( 'Something went wrong with the plugin API.', $theme_text_domain ),
			'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
			'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
			'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
			'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
			'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
			'return'                           			=> __( 'Return to Required Plugins Installer', $theme_text_domain ),
			'plugin_activated'                 			=> __( 'Plugin activated successfully.', $theme_text_domain ),
			'complete' 									=> __( 'All plugins installed and activated successfully. %s', $theme_text_domain ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);

	tgmpa( $plugins, $config );
}
?>
