<?php
//remove_theme_mods();

/*-----------------------------------------------------------------------------------*/
/*  Print custom CSS set up in the customizer
/*-----------------------------------------------------------------------------------*/
class Wolf_Customizer_Styles {

	function hex_to_rgb($hex) {
		$hex = str_replace("#", "", $hex);
		if (strlen($hex) == 3) {
		$r = hexdec(substr($hex,0,1).substr($hex,0,1));
		$g = hexdec(substr($hex,1,1).substr($hex,1,1));
		$b = hexdec(substr($hex,2,1).substr($hex,2,1));
		} else {
		$r = hexdec(substr($hex,0,2));
		$g = hexdec(substr($hex,2,2));
		$b = hexdec(substr($hex,4,2));
		}
		$rgb = array($r, $g, $b);
		return implode(",", $rgb); // returns the rgb values separated by commas
		//return $rgb; // returns an array with the rgb values
	}

	function brightness($hex, $percent) {

		$steps = (ceil(($percent*200) / 100))*2;

		// Steps should be between -255 and 255. Negative = darker, positive = lighter
		$steps = max(-255, min(255, $steps));

		// Format the hex color string
		$hex = str_replace('#', '', $hex);
		if (strlen($hex) == 3) {
		$hex = str_repeat(substr($hex,0,1), 2).str_repeat(substr($hex,1,1), 2).str_repeat(substr($hex,2,1), 2);
		}

		// Get decimal values
		$r = hexdec(substr($hex,0,2));
		$g = hexdec(substr($hex,2,2));
		$b = hexdec(substr($hex,4,2));

		// Adjust number of steps and keep it inside 0 to 255
		$r = max(0,min(255,$r + $steps));
		$g = max(0,min(255,$g + $steps));  
		$b = max(0,min(255,$b + $steps));

		$r_hex = str_pad(dechex($r), 2, '0', STR_PAD_LEFT);
		$g_hex = str_pad(dechex($g), 2, '0', STR_PAD_LEFT);
		$b_hex = str_pad(dechex($b), 2, '0', STR_PAD_LEFT);

		return '#'.$r_hex.$g_hex.$b_hex;
	}

	/**
	 * Return background inline CSS
	 */
	function get_bg_options( $selectors = array() ) {

		$css = '';
		
		foreach ( $selectors as $id => $selector ) :
			
			$img = '';
			$color = get_theme_mod( $id . '_color' );
			$repeat = get_theme_mod( $id . '_repeat' );
			$position = get_theme_mod( $id . '_position' );
			$attachment = get_theme_mod( $id . '_attachment' );
			$size = get_theme_mod( $id . '_size' );
			$none = get_theme_mod( $id . '_none' );
			$parallax = get_theme_mod( $id . '_parallax' );
			$font_color = get_theme_mod( $id . '_font_color' ) == 'light' ? '#fff' : '#666';
			$opacity = intval(get_theme_mod( $id . '_opacity', 100 )) / 100;
			$color_rgba = 'rgba(' . $this->hex_to_rgb( $color ) . ', ' . $opacity .')';

			

		/*-------------------Button-------------------*/

		

		if ( get_theme_mod( $id . '_font_color' ) == 'dark' ) {

		/* Make selector list an array */
		$selector_list  = preg_replace( '/\s+/', ' ', $selector );
		$selector_array = explode( ',', $selector_list);
		$selector_excludes = array( '#navbar-container' );

		$css .= "$selector{color : $font_color;}";

		foreach ( $selector_array as $v ) {

			//debug($v);

			if ( ! in_array( $v, $selector_excludes ) ) :

			$css .= "
			$v h1, $v h2, $v h3, $v h4{
				color:#333;
			}

			$v .theme-button,
			$v .more-link,
			$v input[type='submit']{
			color:#333;
			border-color:#333;
			}

			$v .theme-button:hover,
			$v .more-link:hover,
			$v input[type='submit']:hover{
			background: #333;
			color: #fff;
			}

			$v .entry-title a, $v .widget-entry .widget-entry-title a{
			color:#333;
			}

			$v .wolf-more-dates{
				color:#333;
				border-color:#333;
			}

			$v .wolf-more-dates:hover{
				color:#333;
				border-color:#333;
				background:#333;
				color:#fff;
			}

			$v hr{
			background: rgba(0,0,0,0.05);
			}

			$v td{
				border-bottom: 4px solid rgba(0,0,0,0.05);
			}

			$v .wolf-tweet-time_big a, $v .wolf-tweet-time_big a:hover{
				color:#666;
			}

			$v .wolf-last-post-summary a.more-link:hover{
					color:#333!important;
				}

			$v.widget_calendar #prev a:hover,
			$v.widget_calendar #next a:hover{
				color:#333!important;
			}

			$v .wolf-show-entry-link{
				color:#333;
			}

			";

			if ( $v == '.site-header' ) {
				$css .= '#hello{text-shadow:none;}';
			}


			if ( $v == '.entry-content' ) {
				$css .= "a.wolf-release-amazon,
					a.wolf-release-itunes,
					a.wolf-release-buy,
					.wolf-show-ticket-button,
					.wolf-show-actions .wolf-show-facebook-button,
					#main .wolf-more-dates{
					color:#333;
					border-color:#333;
				}
				a.wolf-release-amazon:hover,
					a.wolf-release-itunes:hover,
					a.wolf-release-buy:hover,
					.wolf-show-ticket-button:hover,
					.wolf-show-actions .wolf-show-facebook-button:hover,
					#main .wolf-more-dates:hover{
					background: #333;
					color: #fff;
				}

				.comment-meta .fn, .comment-meta .fn a{
					color:#333;
				}

				.comment-list > li:after,
				.comment-list .children > li:before{
					height:4px;
					background: rgba(0,0,0,0.05);
				}

				
				#albums-container #albums-filter li a,
				#videos-container #videos-filter li a {
					color:#333!important
				}

				.entry-meta, .edit-link,
				.entry-meta a, .edit-link a,
				.wolf-release .entry-title a{
					color:#333;
				}";

				$css .='.share-box .share-link,
				.share-box .share-link:visited,
				.share-box .share-title {
					color:#333;
				}';

				$css .= '.wolf-woocommerce.woocommerce ul.products li.product h3, 
				.wolf-woocommerce.woocommerce-page ul.products li.product h3{
				color : #333!important;
				}

				.wolf-woocommerce.woocommerce div.product .woocommerce-tabs .panel, 
				.wolf-woocommerce.woocommerce #content div.product .woocommerce-tabs .panel, 
				.wolf-woocommerce.woocommerce-page div.product .woocommerce-tabs .panel, 
				.wolf-woocommerce.woocommerce-page #content div.product .woocommerce-tabs .panel,
				.wolf-woocommerce.woocommerce div.product .woocommerce-tabs ul.tabs li.active, 
				.wolf-woocommerce.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active, 
				.wolf-woocommerce.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active, 
				.wolf-woocommerce.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active{
					background-color:#fff!important;
					border:1px solid rgba(0,0,0,0.1);
				}

				.wolf-woocommerce.woocommerce div.product .woocommerce-tabs ul.tabs:before, 
				.wolf-woocommerce.woocommerce #content div.product .woocommerce-tabs ul.tabs:before, 
				.wolf-woocommerce.woocommerce-page div.product .woocommerce-tabs ul.tabs:before, 
				.wolf-woocommerce.woocommerce-page #content div.product .woocommerce-tabs ul.tabs:before{
					border-bottom-color:rgba(0,0,0,0.1);
				}

				.wolf-woocommerce.woocommerce div.product .woocommerce-tabs ul.tabs li, 
				.wolf-woocommerce.woocommerce #content div.product .woocommerce-tabs ul.tabs li, 
				.wolf-woocommerce.woocommerce-page div.product .woocommerce-tabs ul.tabs li, 
				.wolf-woocommerce.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li{
					background-color:whitesmoke;
				}

				.wolf-woocommerce.woocommerce div.product .woocommerce-tabs ul.tabs li a, 
				.wolf-woocommerce.woocommerce #content div.product .woocommerce-tabs ul.tabs li a, 
				.wolf-woocommerce.woocommerce-page div.product .woocommerce-tabs ul.tabs li a, 
				.wolf-woocommerce.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a{
					color:#333!important;
				}

				.wolf-woocommerce.woocommerce ul.products li.product, 
				.wolf-woocommerce.woocommerce-page ul.products li.product{
					background:#fff;
					-webkit-box-shadow: 0 0 0 1px rgba(0,0,0,0.08);
					box-shadow: 0 0 0 1px rgba(0,0,0,0.08);
				}

				';
			}

			if ( $v == '.sidebar-footer' ){
				$css .= ".sidebar-footer a.wolf-release-amazon,
					.sidebar-footer a.wolf-release-itunes,
					.sidebar-footer a.wolf-release-buy,
					.sidebar-footer .wolf-show-ticket-button,
					.sidebar-footer .wolf-show-actions .wolf-show-facebook-button,
					.sidebar-footer .wolf-more-dates{
					color:#333;
					border-color:#333;
				}
				.sidebar-footer a.wolf-release-amazon:hover,
					.sidebar-footer a.wolf-release-itunes:hover,
					.sidebar-footer a.wolf-release-buy:hover,
					.sidebar-footer .wolf-show-ticket-button:hover,
					.sidebar-footer .wolf-show-actions .wolf-show-facebook-button:hover,
					.sidebar-footer .wolf-more-dates:hover{
					background: #333;
					color: #fff;
				}";
			}

			endif; // end if not exluded


		} // end foreach selector list

			

		if ( wolf_get_theme_option( 'wolf_woocommerce_buttons' ) ) :
		endif; // end if wolf custom
		
		/*-------------------End Button-------------------*/

		} // dark font color

		
			/* Backgrounds
			---------------------------------*/
			if( $none == '' ) {
				if ( get_theme_mod( $id . '_img' ) )
					$img = 'url("'. get_theme_mod( $id . '_img' ) .'")';

				if ( $color || $img ) {
					
					if ( ! $img ) {
						$css .= "$selector {background-color:$color;background-color:$color_rgba;}";
					}
						
									
					if ( $img )  {

						if ( $parallax ) {

							$css .= "$selector {background : $color $img $repeat fixed}";
							$css .= "$selector {background-position : 50% 0}";

						} else {
							$css .= "$selector {background : $color $img $position $repeat $attachment}";
						}
						
						if ($size == 'cover') {

							$css .= "$selector {
								-webkit-background-size: 100%; 
								-o-background-size: 100%; 
								-moz-background-size: 100%; 
								background-size: 100%;
								-webkit-background-size: cover; 
								-o-background-size: cover; 
								background-size: cover;
							}";
						}

						if ($size == 'resize') {

							$css .= "$selector {
								-webkit-background-size: 100%; 
								-o-background-size: 100%; 
								-moz-background-size: 100%; 
								background-size: 100%;
							}";
						}
							
					}
				} 
			} else {
				$css .= "$selector {background:none;}";
			}

		endforeach; // end foreach selectors
		
		return $css;
	}

	// --------------------------------------------------------------------------

	/**
	 * Return theme options inline CSS
	 */
	function css_options() {
		
		$css = '';
		


		/*-----------------------------------------------------------------------------------*/
		/*  Accent Color
		/*-----------------------------------------------------------------------------------*/

		$accent = get_theme_mod( 'accent_color' );
		//$accent = null; //debug

		if ( $accent ) {

$css .= "a, .comment-reply-link, .album-thumb p, .wolf-bigtweet-content a{ color: $accent; }
.entry-title a:hover, .wolf-show-entry-link:hover, .wolf-show-flyer:hover,
.comment-meta .fn a:hover,
.entry-meta a:hover, .entry-link a:hover,
.search-results #content .entry-summary .more-link:hover,
.wolf-last-post-summary a.more-link,
.search-results #content .entry-content .more-link
{ color: $accent!important; }
a:link {-webkit-tap-highlight-color : $accent;}
.main-navigation .nav-menu  li:hover a,
.main-navigation .nav-menu  li ul.sub-menu li a,
.main-navigation .nav-menu  li ul.children li a
{background-color: $accent;}
.main-navigation .nav-menu  li:hover ul.sub-menu li a:hover,
.main-navigation .nav-menu  li:hover ul.children li a:hover{
	background-color:" . $this->brightness($accent, -5) . "
}

.nav-previous:hover, .nav-links a[rel='prev']:hover, .previous:hover,
.nav-next:hover, .nav-links a[rel='next']:hover, .next:hover,
ul.page-numbers li .page-numbers.current
{background-color: $accent!important;}
ul.page-numbers li .page-numbers.current{border-color:$accent}

.wolf-woocommerce.woocommerce ul.products li.product h3:hover, 
.wolf-woocommerce.woocommerce-page ul.products li.product h3:hover{
color : $accent!important;
}
";

if ( wolf_get_theme_option( 'wolf_woocommerce_buttons' ) ) :

/* WooCommerce Primary button
-----------------------------------------------*/

/* Button gradient */
$accent_rgba = $this->hex_to_rgb($accent);
$css .= "
.wolf-woocommerce-buttons.woocommerce .button.alt,
.wolf-woocommerce-buttons.woocommerce #content input.button.alt,
.wolf-woocommerce-buttons.woocommerce #respond input#submit.alt, 
.wolf-woocommerce-buttons.woocommerce-page .button.alt,
.wolf-woocommerce-buttons.woocommerce-page #content input.button.alt,
.wolf-woocommerce-buttons.woocommerce-page #respond input#submit.alt,
.wolf-widget-area .wolf_widget_col_12.widget_mailchimpsf_widget #mc_signup .mc_signup_submit input[type=\"submit\"]
{
border:1px solid " . $this->brightness($accent, -10) . ";
text-shadow:0px 0px 5px " . $this->brightness($accent, -10) . ";
background: $accent;
background-image: -webkit-gradient(linear, 50% 0%, 50% 100%, color-stop(0%, $accent), color-stop(100%, " . $this->brightness( $accent, -10 ) . "));
background-image: -webkit-linear-gradient($accent, " . $this->brightness( $accent, -10 ) . ");
background-image: -moz-linear-gradient($accent, " . $this->brightness( $accent, -10 ) . ");
background-image: -o-linear-gradient($accent, " . $this->brightness( $accent, -10 ) . ");
background-image: linear-gradient($accent, " . $this->brightness( $accent, -10 ) . ");
}

.wolf-woocommerce-buttons.woocommerce .button.alt:hover,
.wolf-woocommerce-buttons.woocommerce #content input.button.alt:hover,
.wolf-woocommerce-buttons.woocommerce #respond input#submit.alt:hover, 
.wolf-woocommerce-buttons.woocommerce-page .button.alt:hover,
.wolf-woocommerce-buttons.woocommerce-page #content input.button.alt:hover,
.wolf-woocommerce-buttons.woocommerce-page #respond input#submit.alt:hover,
.wolf-woocommerce-buttons.woocommerce .button.alt:focus,
.wolf-woocommerce-buttons.woocommerce #content input.button.alt:focus,
.wolf-woocommerce-buttons.woocommerce #respond input#submit.alt:focus, .wolf-woocommerce-buttons.woocommerce-page .button.alt:focus,
.wolf-woocommerce-buttons.woocommerce-page #content input.button.alt:focus,
.wolf-woocommerce-buttons.woocommerce-page #respond input#submit.alt:focus,
.wolf-widget-area .wolf_widget_col_12.widget_mailchimpsf_widget #mc_signup .mc_signup_submit input[type=\"submit\"]:hover,
.wolf-widget-area .wolf_widget_col_12.widget_mailchimpsf_widget #mc_signup .mc_signup_submit input[type=\"submit\"]:focus{
	background: " . $this->brightness( $accent, 5 ) . ";
}

.wolf-woocommerce-buttons.woocommerce .button.alt:active,
.wolf-woocommerce-buttons.woocommerce #content input.button.alt:active,
.wolf-woocommerce-buttons.woocommerce #respond input#submit.alt:active, 
.wolf-woocommerce-buttons.woocommerce-page .button.alt:active,
.wolf-woocommerce-buttons.woocommerce-page #content input.button.alt:active,
.wolf-woocommerce-buttons.woocommerce-page #respond input#submit.alt:active,
.wolf-widget-area .wolf_widget_col_12.widget_mailchimpsf_widget #mc_signup .mc_signup_submit input[type=\"submit\"]:active{
	background: $accent;
}


.wolf-woocommerce-buttons.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.wolf-woocommerce-buttons.woocommerce-page .widget_price_filter .ui-slider .ui-slider-range{
	background: $accent;
}

.wolf-woocommerce-buttons.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.wolf-woocommerce-buttons.woocommerce-page .widget_price_filter .ui-slider .ui-slider-handle{
	background: " . $this->brightness( $accent, -10 ) . ";
}";


endif; // end if wolf custom woocomerce

		} // end if accent

		/*-----------------------------------------------------------------------------------*/
		/*  Custom Entry Styles
		/*-----------------------------------------------------------------------------------*/

		/* WooCommerce Simple Button if font is set to dark in the entry options */
		if ( get_theme_mod( 'entry_bg_font_color' ) == 'dark' && wolf_get_theme_option( 'wolf_woocommerce_buttons' ) ) {

			$css .= "
		.wolf-woocommerce-buttons.woocommerce .button, 
		.wolf-woocommerce-buttons.woocommerce #content input.button,
		.wolf-woocommerce-buttons.woocommerce #respond input#submit,
		.wolf-woocommerce-buttons.woocommerce-page .button, 
		.wolf-woocommerce-buttons.woocommerce-page #content input.button,
		.wolf-woocommerce-buttons.woocommerce-page #respond input#submit{
			color:#333;
			border-color:#333;
		}

		.wolf-woocommerce-buttons.woocommerce .button:hover, 
		.wolf-woocommerce-buttons.woocommerce #content input.button:hover,
		.wolf-woocommerce-buttons.woocommerce #respond input#submit:hover,
		.wolf-woocommerce-buttons.woocommerce-page .button:hover, 
		.wolf-woocommerce-buttons.woocommerce-page #content input.button:hover,
		.wolf-woocommerce-buttons.woocommerce-page #respond input#submit:hover{
			background: #333;
			color: #fff;
		}

		";
		}


		if ( get_theme_mod( 'entry_bg_none' ) ) {

			$css .= '
			.search-results .page .entry-content,
			.post .entry-content, #secondary .widget{
				border-bottom:4px solid rgba(255,255,255,0.05);
			}

			.entry-media{
				margin-top:20px;
				margin-bottom:20px;
			}

			.entry-content, #container, #secondary .widget, .wolf-widget-area .widget{
				padding-left:0;
				padding-right:0;
				padding-top:0;
				padding-bottom:30px;
			}

			.wolf-widget-area .widget{
				padding-bottom:0;
			}

			.search-no-results .entry-content, .release .entry-content, .show .entry-content, #container{
				border:none!important;
				padding-top:0;
				padding-bottom:0;
			}';

			if ( get_theme_mod( 'entry_bg_font_color' ) == 'dark' ) {
				$css .= '
				.search-results .page .entry-content,
				.post .entry-content, #secondary .widget{
					border-bottom:4px solid rgba(0,0,0,0.05);
				}';

			}
				
		}

		if ( ! get_theme_mod( 'entry_bg_none' ) ) {


			$css .= '
				.wolf-woocommerce.woocommerce ul.products li.product, 
				.wolf-woocommerce.woocommerce-page ul.products li.product{
					background:none;
					-webkit-box-shadow:none;
					box-shadow:none;
				}
			';

		}


		/*-----------------------------------------------------------------------------------*/
		/*  Menu Position
		/*-----------------------------------------------------------------------------------*/

		$header_height = get_theme_mod( 'header_height' );

		if ( $header_height ) {
			$css .= '
			.site-header{
				min-height:' . $header_height . 'px;
			}';
		}

		/*-----------------------------------------------------------------------------------*/
		/*  Menu Position
		/*-----------------------------------------------------------------------------------*/

		$menu_position = get_theme_mod( 'menu_position' );

		if ( $menu_position == 'top' ) {
			$css .= "
			.site-header{
				padding-top:80px;
			}
			#navbar-container{
				position: absolute;
				top:0;
				bottom:auto;
				left: 0;
				z-index: 99;
			}";
		}

		if ( $menu_position == 'bottom' ) {
			$css .= "
			.site-header{
				padding-bottom:80px;
			}
			#navbar-container{
				position: absolute;
				bottom:0;
				top:auto;
				left: 0;
				z-index: 99;
			}";
		}

		/*-----------------------------------------------------------------------------------*/
		/*  Menu Font Color
		/*-----------------------------------------------------------------------------------*/
		$menu_font_color = get_theme_mod( 'menu_color' );

		if ( $menu_font_color == 'dark' ) {
			$css .= '.main-navigation .nav-menu li a { color:#333; text-shadow: none; }';
			$css .= 'li.home-menu-item a{background-image:url(' . WOLF_THEME_URL . '/images/home_dark.png); text-shadow:none}';
		}


		/*-----------------------------------------------------------------------------------*/
		/*  Hide Top Bar
		/*-----------------------------------------------------------------------------------*/

		$hide_top_bar = get_theme_mod( 'hide_top_bar' );

		if ( $hide_top_bar ) {
			$css .= "#top-bar{display:none}";
		}


		/*-----------------------------------------------------------------------------------*/
		/*  Logo Alignment
		/*-----------------------------------------------------------------------------------*/

		$logo_align = get_theme_mod( 'logo_align' );

		$css .= "#logo-container{text-align:$logo_align}";


		/*-----------------------------------------------------------------------------------*/
		/*  Page Title Color
		/*-----------------------------------------------------------------------------------*/

		$page_title_color = get_theme_mod( 'page_title_color' );

		if ( $page_title_color ) {

			$css .= ".error404, #intro{color: $page_title_color }";

		}

		/*-----------------------------------------------------------------------------------*/
		/*  Additional  Layout Custom style
		/*-----------------------------------------------------------------------------------*/

		$is_intro = ! is_404() && ! is_front_page() && wolf_get_page_title();
		$is_top_holder = wolf_get_holder_content( 'top_holder' ) != null;
		$is_top_holder_bg = ! get_theme_mod( 'top_holder_bg_none' );

		if ( ( $is_top_holder && $is_top_holder_bg && ! $is_intro ) || ( ! $is_top_holder && ! $is_intro ) ) {
			$css .= "#main{ padding-top:50px }";
		}

		if ( $is_intro && ! $is_top_holder_bg ) {
			$css .= "#top-holder{padding-bottom:0}";
		}

		$is_bottom_holder = wolf_get_holder_content( 'bottom_holder' ) != null;
		$is_bottom_holder_bg = ! get_theme_mod( 'bottom_holder_bg_none' );

		if ( $is_bottom_holder && $is_bottom_holder_bg || ! $is_bottom_holder ) {
			$css .= "#main{ padding-bottom:30px }";
		}

		/*-----------------------------------------------------------------------------------*/
		/*  Backgrounds & font skin
		/*-----------------------------------------------------------------------------------*/

		$body = 'body';

		$backgrounds = array(
			'body_bg' => 'body',
			'page_bg' => '#main, #intro',
			'menu_bg' => '#navbar-container',
			'header_bg' => '.site-header',
			'entry_bg' => '.entry-content, #comments-container, #secondary .widget, #container',
			'top_holder_bg' => '#top-holder',
			'bottom_holder_bg' => '#bottom-holder',
			'sidebar_footer_bg' => '.sidebar-footer',
			'music_network_bg' => '.wolf-music-social-icons-container'
		);


		$css .= $this->get_bg_options( $backgrounds );

		/*-----------------------------------------------------------------------------------*/
		/*  Custom CSS
		/*-----------------------------------------------------------------------------------*/

		if ( get_theme_mod( 'custom_css' ) ) { 
			$css .= stripslashes( get_theme_mod( 'custom_css' ) );
		} 


		return $css;
	}


} // end class

global $wolf_customizer_css;
$wolf_customizer_css = new Wolf_Customizer_Styles;

/**
 * Return the custom CSS
 */
function wolf_output_customizer_css() {
	global $wolf_customizer_css;
	$output = '';
	$output .= "\n" . '/* Customizer CSS */' . "\n";

	if ( WOLF_DEBUG ) {
		$output .= $wolf_customizer_css->css_options();
		$output .= "\n\n";
	} else {
		$output .= wolf_compact_css( $wolf_customizer_css->css_options() );	
	}
	
	return '<style type="text/css">' . $output . '</style>'."\n";
}

/**
 * Parallax
 */
function wolf_output_customizer_parallax_js() {
	
	$js = '';
	$output = '';

	$backgrounds = array(
		'header_bg' => '#masthead',
		'top_holder_bg' => '#top-holder',
		'bottom_holder_bg' => '#bottom-holder',
		'sidebar_footer_bg' => '#masthead'
	);

	foreach ( $backgrounds as $id => $selector ) {
		
		if ( get_theme_mod( $id . '_parallax' ) && get_theme_mod( $id . '_img' ) )
			$output .= '$( "' . $selector . '" ).addClass( "section-parallax" );';
	}

	$js .= $output;
	
	if ( $output )
		return '<script type="text/javascript">jQuery(document).ready(function($) {' . $js . '});</script>'."\n";
}

/**
 * Output the custom CSS
 */
function wolf_render_customizer_options() {
    	echo wolf_output_customizer_css();
    	echo wolf_output_customizer_parallax_js();
}
add_action( 'wp_head', 'wolf_render_customizer_options' );
?>
