<?php
/**
 * This is the loop for the posts
 * We display each post differently depending on the post format
 */
$format = get_post_format() ? get_post_format() : 'standard';
$media = wolf_post_media();
?>
<article <?php post_class( 'clearfix' ); ?>   id="post-<?php the_ID(); ?>">
	<?php if ( $format != 'aside' && $format != 'status' && $format != 'link' && $format != 'quote' && $media ) : ?>
	
	<div class="entry-media">
		<?php echo wolf_post_media(); ?>
	</div>
	<?php endif; ?>
	<div class="entry-content">
		<?php if ( $format != 'link' && $format != 'quote' ) : ?>
			<?php if ( $format != 'aside' && $format != 'status' && $format != 'link' && $format != 'quote' ) : ?>
			<h2 class="entry-title">
				<a class="entry-link" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'wolf' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h2>
			<?php endif; ?>
		<div class="entry-meta">
			<?php wolf_entry_meta(); ?>
			<?php if ( comments_open() ) : ?>
			<span class="comments-link">
				<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'wolf' ) . '</span>', __( 'One comment so far', 'wolf' ), __( 'View all % comments', 'wolf' ) ); ?>
			</span><!-- .comments-link -->
			<?php endif; // comments_open() ?>
			<?php edit_post_link( __( 'Edit', 'wolf' ), '<span class="edit-link">', '</span>' ); ?>
		</div>
		<?php echo wolf_content(); ?>
		<?php wolf_share_links( wolf_get_theme_option( 'show_share_box_index' ) ); ?>
		
		<?php else : ?>
			<?php echo wolf_post_media(); ?>
			<?php if ( is_user_logged_in() ) : ?>
			<div class="entry-meta">
				<?php edit_post_link( __( 'Edit', 'wolf' ), '<span class="edit-link">', '</span>' ); ?>
			</div>
			<?php endif; ?>
		<?php endif; ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wolf' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
	</div>
</article>
