/*
 * jPlayer Plugin for jQuery JavaScript Library
 * http://www.jplayer.org
 *
 * Copyright (c) 2009 - 2014 Happyworm Ltd
 * Licensed under the MIT license.
 * http://opensource.org/licenses/MIT
 *
 * Author: Mark J Panaghiston
 * Version: 2.5.4
 * Date: 9th January 2014
 */

/* Code verified using http://www.jshint.com/ */
/*jshint asi:false, bitwise:false, boss:false, browser:true, curly:true, debug:false, eqeqeq:true, eqnull:false, evil:false, forin:false, immed:false, jquery:true, laxbreak:false, newcap:true, noarg:true, noempty:true, nonew:true, onevar:false, passfail:false, plusplus:false, regexp:false, undef:true, sub:false, strict:false, white:false, smarttabs:true */
/*global define:false, ActiveXObject:false, alert:false */

/* Support for Zepto 1.0 compiled with optional data module.
 * For AMD support, you will need to manually switch the 2 lines in the code below.
 * Search terms: "jQuery Switch" and "Zepto Switch"
 */
;(function(e,t){if(typeof define==="function"&&define.amd){define(["jquery"],t)}else{if(e.jQuery){t(e.jQuery)}else{t(e.Zepto)}}})(this,function(e,t){e.fn.jPlayer=function(n){var r="jPlayer";var i=typeof n==="string",s=Array.prototype.slice.call(arguments,1),o=this;n=!i&&s.length?e.extend.apply(null,[true,n].concat(s)):n;if(i&&n.charAt(0)==="_"){return o}if(i){this.each(function(){var i=e(this).data(r),u=i&&e.isFunction(i[n])?i[n].apply(i,s):i;if(u!==i&&u!==t){o=u;return false}})}else{this.each(function(){var t=e(this).data(r);if(t){t.option(n||{})}else{e(this).data(r,new e.jPlayer(n,this))}})}return o};e.jPlayer=function(t,n){if(arguments.length){this.element=e(n);this.options=e.extend(true,{},this.options,t);var r=this;this.element.bind("remove.jPlayer",function(){r.destroy()});this._init()}};if(typeof e.fn.stop!=="function"){e.fn.stop=function(){}}e.jPlayer.emulateMethods="load play pause";e.jPlayer.emulateStatus="src readyState networkState currentTime duration paused ended playbackRate";e.jPlayer.emulateOptions="muted volume";e.jPlayer.reservedEvent="ready flashreset resize repeat error warning";e.jPlayer.event={};e.each(["ready","flashreset","resize","repeat","click","error","warning","loadstart","progress","suspend","abort","emptied","stalled","play","pause","loadedmetadata","loadeddata","waiting","playing","canplay","canplaythrough","seeking","seeked","timeupdate","ended","ratechange","durationchange","volumechange"],function(){e.jPlayer.event[this]="jPlayer_"+this});e.jPlayer.htmlEvent=["loadstart","abort","emptied","stalled","loadedmetadata","loadeddata","canplay","canplaythrough"];e.jPlayer.pause=function(){e.each(e.jPlayer.prototype.instances,function(e,t){if(t.data("jPlayer").status.srcSet){t.jPlayer("pause")}})};e.jPlayer.timeFormat={showHour:false,showMin:true,showSec:true,padHour:false,padMin:true,padSec:true,sepHour:":",sepMin:":",sepSec:""};var n=function(){this.init()};n.prototype={init:function(){this.options={timeFormat:e.jPlayer.timeFormat}},time:function(e){e=e&&typeof e==="number"?e:0;var t=new Date(e*1e3),n=t.getUTCHours(),r=this.options.timeFormat.showHour?t.getUTCMinutes():t.getUTCMinutes()+n*60,i=this.options.timeFormat.showMin?t.getUTCSeconds():t.getUTCSeconds()+r*60,s=this.options.timeFormat.padHour&&n<10?"0"+n:n,o=this.options.timeFormat.padMin&&r<10?"0"+r:r,u=this.options.timeFormat.padSec&&i<10?"0"+i:i,a="";a+=this.options.timeFormat.showHour?s+this.options.timeFormat.sepHour:"";a+=this.options.timeFormat.showMin?o+this.options.timeFormat.sepMin:"";a+=this.options.timeFormat.showSec?u+this.options.timeFormat.sepSec:"";return a}};var r=new n;e.jPlayer.convertTime=function(e){return r.time(e)};e.jPlayer.uaBrowser=function(e){var t=e.toLowerCase();var n=/(webkit)[ \/]([\w.]+)/;var r=/(opera)(?:.*version)?[ \/]([\w.]+)/;var i=/(msie) ([\w.]+)/;var s=/(mozilla)(?:.*? rv:([\w.]+))?/;var o=n.exec(t)||r.exec(t)||i.exec(t)||t.indexOf("compatible")<0&&s.exec(t)||[];return{browser:o[1]||"",version:o[2]||"0"}};e.jPlayer.uaPlatform=function(e){var t=e.toLowerCase();var n=/(ipad|iphone|ipod|android|blackberry|playbook|windows ce|webos)/;var r=/(ipad|playbook)/;var i=/(android)/;var s=/(mobile)/;var o=n.exec(t)||[];var u=r.exec(t)||!s.exec(t)&&i.exec(t)||[];if(o[1]){o[1]=o[1].replace(/\s/g,"_")}return{platform:o[1]||"",tablet:u[1]||""}};e.jPlayer.browser={};e.jPlayer.platform={};var i=e.jPlayer.uaBrowser(navigator.userAgent);if(i.browser){e.jPlayer.browser[i.browser]=true;e.jPlayer.browser.version=i.version}var s=e.jPlayer.uaPlatform(navigator.userAgent);if(s.platform){e.jPlayer.platform[s.platform]=true;e.jPlayer.platform.mobile=!s.tablet;e.jPlayer.platform.tablet=!!s.tablet}e.jPlayer.getDocMode=function(){var t;if(e.jPlayer.browser.msie){if(document.documentMode){t=document.documentMode}else{t=5;if(document.compatMode){if(document.compatMode==="CSS1Compat"){t=7}}}}return t};e.jPlayer.browser.documentMode=e.jPlayer.getDocMode();e.jPlayer.nativeFeatures={init:function(){var e=document,t=e.createElement("video"),n={w3c:["fullscreenEnabled","fullscreenElement","requestFullscreen","exitFullscreen","fullscreenchange","fullscreenerror"],moz:["mozFullScreenEnabled","mozFullScreenElement","mozRequestFullScreen","mozCancelFullScreen","mozfullscreenchange","mozfullscreenerror"],webkit:["","webkitCurrentFullScreenElement","webkitRequestFullScreen","webkitCancelFullScreen","webkitfullscreenchange",""],webkitVideo:["webkitSupportsFullscreen","webkitDisplayingFullscreen","webkitEnterFullscreen","webkitExitFullscreen","",""]},r=["w3c","moz","webkit","webkitVideo"],i,s,o;this.fullscreen=i={support:{w3c:!!e[n.w3c[0]],moz:!!e[n.moz[0]],webkit:typeof e[n.webkit[3]]==="function",webkitVideo:typeof t[n.webkitVideo[2]]==="function"},used:{}};for(s=0,o=r.length;s<o;s++){var u=r[s];if(i.support[u]){i.spec=u;i.used[u]=true;break}}if(i.spec){var a=n[i.spec];i.api={fullscreenEnabled:true,fullscreenElement:function(t){t=t?t:e;return t[a[1]]},requestFullscreen:function(e){return e[a[2]]()},exitFullscreen:function(t){t=t?t:e;return t[a[3]]()}};i.event={fullscreenchange:a[4],fullscreenerror:a[5]}}else{i.api={fullscreenEnabled:false,fullscreenElement:function(){return null},requestFullscreen:function(){},exitFullscreen:function(){}};i.event={}}}};e.jPlayer.nativeFeatures.init();e.jPlayer.focus=null;e.jPlayer.keyIgnoreElementNames="INPUT TEXTAREA";var o=function(t){var n=e.jPlayer.focus,r;if(n){e.each(e.jPlayer.keyIgnoreElementNames.split(/\s+/g),function(e,n){if(t.target.nodeName.toUpperCase()===n.toUpperCase()){r=true;return false}});if(!r){e.each(n.options.keyBindings,function(r,i){if(i&&t.which===i.key&&e.isFunction(i.fn)){t.preventDefault();i.fn(n);return false}})}}};e.jPlayer.keys=function(t){var n="keydown.jPlayer";e(document.documentElement).unbind(n);if(t){e(document.documentElement).bind(n,o)}};e.jPlayer.keys(true);e.jPlayer.prototype={count:0,version:{script:"2.5.4",needFlash:"2.5.2",flash:"unknown"},options:{swfPath:"js",solution:"html, flash",supplied:"mp3",preload:"metadata",volume:.8,muted:false,playbackRate:1,defaultPlaybackRate:1,minPlaybackRate:.5,maxPlaybackRate:4,wmode:"opaque",backgroundColor:"#000000",cssSelectorAncestor:"#jp_container_1",cssSelector:{videoPlay:".jp-video-play",play:".jp-play",pause:".jp-pause",stop:".jp-stop",seekBar:".jp-seek-bar",playBar:".jp-play-bar",mute:".jp-mute",unmute:".jp-unmute",volumeBar:".jp-volume-bar",volumeBarValue:".jp-volume-bar-value",volumeMax:".jp-volume-max",playbackRateBar:".jp-playback-rate-bar",playbackRateBarValue:".jp-playback-rate-bar-value",currentTime:".jp-current-time",duration:".jp-duration",fullScreen:".jp-full-screen",restoreScreen:".jp-restore-screen",repeat:".jp-repeat",repeatOff:".jp-repeat-off",gui:".jp-gui",noSolution:".jp-no-solution"},smoothPlayBar:false,fullScreen:false,fullWindow:false,autohide:{restored:false,full:true,fadeIn:200,fadeOut:600,hold:1e3},loop:false,repeat:function(t){if(t.jPlayer.options.loop){e(this).unbind(".jPlayerRepeat").bind(e.jPlayer.event.ended+".jPlayer.jPlayerRepeat",function(){e(this).jPlayer("play")})}else{e(this).unbind(".jPlayerRepeat")}},nativeVideoControls:{},noFullWindow:{msie:/msie [0-6]\./,ipad:/ipad.*?os [0-4]\./,iphone:/iphone/,ipod:/ipod/,android_pad:/android [0-3]\.(?!.*?mobile)/,android_phone:/android.*?mobile/,blackberry:/blackberry/,windows_ce:/windows ce/,iemobile:/iemobile/,webos:/webos/},noVolume:{ipad:/ipad/,iphone:/iphone/,ipod:/ipod/,android_pad:/android(?!.*?mobile)/,android_phone:/android.*?mobile/,blackberry:/blackberry/,windows_ce:/windows ce/,iemobile:/iemobile/,webos:/webos/,playbook:/playbook/},timeFormat:{},keyEnabled:false,audioFullScreen:false,keyBindings:{play:{key:32,fn:function(e){if(e.status.paused){e.play()}else{e.pause()}}},fullScreen:{key:13,fn:function(e){if(e.status.video||e.options.audioFullScreen){e._setOption("fullScreen",!e.options.fullScreen)}}},muted:{key:8,fn:function(e){e._muted(!e.options.muted)}},volumeUp:{key:38,fn:function(e){e.volume(e.options.volume+.1)}},volumeDown:{key:40,fn:function(e){e.volume(e.options.volume-.1)}}},verticalVolume:false,verticalPlaybackRate:false,globalVolume:false,idPrefix:"jp",noConflict:"jQuery",emulateHtml:false,consoleAlerts:true,errorAlerts:false,warningAlerts:false},optionsAudio:{size:{width:"0px",height:"0px",cssClass:""},sizeFull:{width:"0px",height:"0px",cssClass:""}},optionsVideo:{size:{width:"480px",height:"270px",cssClass:"jp-video-270p"},sizeFull:{width:"100%",height:"100%",cssClass:"jp-video-full"}},instances:{},status:{src:"",media:{},paused:true,format:{},formatType:"",waitForPlay:true,waitForLoad:true,srcSet:false,video:false,seekPercent:0,currentPercentRelative:0,currentPercentAbsolute:0,currentTime:0,duration:0,videoWidth:0,videoHeight:0,readyState:0,networkState:0,playbackRate:1,ended:0},internal:{ready:false},solution:{html:true,flash:true},format:{mp3:{codec:'audio/mpeg; codecs="mp3"',flashCanPlay:true,media:"audio"},m4a:{codec:'audio/mp4; codecs="mp4a.40.2"',flashCanPlay:true,media:"audio"},m3u8a:{codec:'application/vnd.apple.mpegurl; codecs="mp4a.40.2"',flashCanPlay:false,media:"audio"},m3ua:{codec:"audio/mpegurl",flashCanPlay:false,media:"audio"},oga:{codec:'audio/ogg; codecs="vorbis, opus"',flashCanPlay:false,media:"audio"},flac:{codec:"audio/x-flac",flashCanPlay:false,media:"audio"},wav:{codec:'audio/wav; codecs="1"',flashCanPlay:false,media:"audio"},webma:{codec:'audio/webm; codecs="vorbis"',flashCanPlay:false,media:"audio"},fla:{codec:"audio/x-flv",flashCanPlay:true,media:"audio"},rtmpa:{codec:'audio/rtmp; codecs="rtmp"',flashCanPlay:true,media:"audio"},m4v:{codec:'video/mp4; codecs="avc1.42E01E, mp4a.40.2"',flashCanPlay:true,media:"video"},m3u8v:{codec:'application/vnd.apple.mpegurl; codecs="avc1.42E01E, mp4a.40.2"',flashCanPlay:false,media:"video"},m3uv:{codec:"audio/mpegurl",flashCanPlay:false,media:"video"},ogv:{codec:'video/ogg; codecs="theora, vorbis"',flashCanPlay:false,media:"video"},webmv:{codec:'video/webm; codecs="vorbis, vp8"',flashCanPlay:false,media:"video"},flv:{codec:"video/x-flv",flashCanPlay:true,media:"video"},rtmpv:{codec:'video/rtmp; codecs="rtmp"',flashCanPlay:true,media:"video"}},_init:function(){var n=this;this.element.empty();this.status=e.extend({},this.status);this.internal=e.extend({},this.internal);this.options.timeFormat=e.extend({},e.jPlayer.timeFormat,this.options.timeFormat);this.internal.cmdsIgnored=e.jPlayer.platform.ipad||e.jPlayer.platform.iphone||e.jPlayer.platform.ipod;this.internal.domNode=this.element.get(0);if(this.options.keyEnabled&&!e.jPlayer.focus){e.jPlayer.focus=this}this.formats=[];this.solutions=[];this.require={};this.htmlElement={};this.html={};this.html.audio={};this.html.video={};this.flash={};this.css={};this.css.cs={};this.css.jq={};this.ancestorJq=[];this.options.volume=this._limitValue(this.options.volume,0,1);e.each(this.options.supplied.toLowerCase().split(","),function(t,r){var i=r.replace(/^\s+|\s+$/g,"");if(n.format[i]){var s=false;e.each(n.formats,function(e,t){if(i===t){s=true;return false}});if(!s){n.formats.push(i)}}});e.each(this.options.solution.toLowerCase().split(","),function(t,r){var i=r.replace(/^\s+|\s+$/g,"");if(n.solution[i]){var s=false;e.each(n.solutions,function(e,t){if(i===t){s=true;return false}});if(!s){n.solutions.push(i)}}});this.internal.instance="jp_"+this.count;this.instances[this.internal.instance]=this.element;if(!this.element.attr("id")){this.element.attr("id",this.options.idPrefix+"_jplayer_"+this.count)}this.internal.self=e.extend({},{id:this.element.attr("id"),jq:this.element});this.internal.audio=e.extend({},{id:this.options.idPrefix+"_audio_"+this.count,jq:t});this.internal.video=e.extend({},{id:this.options.idPrefix+"_video_"+this.count,jq:t});this.internal.flash=e.extend({},{id:this.options.idPrefix+"_flash_"+this.count,jq:t,swf:this.options.swfPath+(this.options.swfPath.toLowerCase().slice(-4)!==".swf"?(this.options.swfPath&&this.options.swfPath.slice(-1)!=="/"?"/":"")+"Jplayer.swf":"")});this.internal.poster=e.extend({},{id:this.options.idPrefix+"_poster_"+this.count,jq:t});e.each(e.jPlayer.event,function(e,r){if(n.options[e]!==t){n.element.bind(r+".jPlayer",n.options[e]);n.options[e]=t}});this.require.audio=false;this.require.video=false;e.each(this.formats,function(e,t){n.require[n.format[t].media]=true});if(this.require.video){this.options=e.extend(true,{},this.optionsVideo,this.options)}else{this.options=e.extend(true,{},this.optionsAudio,this.options)}this._setSize();this.status.nativeVideoControls=this._uaBlocklist(this.options.nativeVideoControls);this.status.noFullWindow=this._uaBlocklist(this.options.noFullWindow);this.status.noVolume=this._uaBlocklist(this.options.noVolume);if(e.jPlayer.nativeFeatures.fullscreen.api.fullscreenEnabled){this._fullscreenAddEventListeners()}this._restrictNativeVideoControls();this.htmlElement.poster=document.createElement("img");this.htmlElement.poster.id=this.internal.poster.id;this.htmlElement.poster.onload=function(){if(!n.status.video||n.status.waitForPlay){n.internal.poster.jq.show()}};this.element.append(this.htmlElement.poster);this.internal.poster.jq=e("#"+this.internal.poster.id);this.internal.poster.jq.css({width:this.status.width,height:this.status.height});this.internal.poster.jq.hide();this.internal.poster.jq.bind("click.jPlayer",function(){n._trigger(e.jPlayer.event.click)});this.html.audio.available=false;if(this.require.audio){this.htmlElement.audio=document.createElement("audio");this.htmlElement.audio.id=this.internal.audio.id;this.html.audio.available=!!this.htmlElement.audio.canPlayType&&this._testCanPlayType(this.htmlElement.audio)}this.html.video.available=false;if(this.require.video){this.htmlElement.video=document.createElement("video");this.htmlElement.video.id=this.internal.video.id;this.html.video.available=!!this.htmlElement.video.canPlayType&&this._testCanPlayType(this.htmlElement.video)}this.flash.available=this._checkForFlash(10.1);this.html.canPlay={};this.flash.canPlay={};e.each(this.formats,function(e,t){n.html.canPlay[t]=n.html[n.format[t].media].available&&""!==n.htmlElement[n.format[t].media].canPlayType(n.format[t].codec);n.flash.canPlay[t]=n.format[t].flashCanPlay&&n.flash.available});this.html.desired=false;this.flash.desired=false;e.each(this.solutions,function(t,r){if(t===0){n[r].desired=true}else{var i=false;var s=false;e.each(n.formats,function(e,t){if(n[n.solutions[0]].canPlay[t]){if(n.format[t].media==="video"){s=true}else{i=true}}});n[r].desired=n.require.audio&&!i||n.require.video&&!s}});this.html.support={};this.flash.support={};e.each(this.formats,function(e,t){n.html.support[t]=n.html.canPlay[t]&&n.html.desired;n.flash.support[t]=n.flash.canPlay[t]&&n.flash.desired});this.html.used=false;this.flash.used=false;e.each(this.solutions,function(t,r){e.each(n.formats,function(e,t){if(n[r].support[t]){n[r].used=true;return false}})});this._resetActive();this._resetGate();this._cssSelectorAncestor(this.options.cssSelectorAncestor);if(!(this.html.used||this.flash.used)){this._error({type:e.jPlayer.error.NO_SOLUTION,context:"{solution:'"+this.options.solution+"', supplied:'"+this.options.supplied+"'}",message:e.jPlayer.errorMsg.NO_SOLUTION,hint:e.jPlayer.errorHint.NO_SOLUTION});if(this.css.jq.noSolution.length){this.css.jq.noSolution.show()}}else{if(this.css.jq.noSolution.length){this.css.jq.noSolution.hide()}}if(this.flash.used){var r,i="jQuery="+encodeURI(this.options.noConflict)+"&id="+encodeURI(this.internal.self.id)+"&vol="+this.options.volume+"&muted="+this.options.muted;if(e.jPlayer.browser.msie&&(Number(e.jPlayer.browser.version)<9||e.jPlayer.browser.documentMode<9)){var s='<object id="'+this.internal.flash.id+'" classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" width="0" height="0" tabindex="-1"></object>';var o=['<param name="movie" value="'+this.internal.flash.swf+'" />','<param name="FlashVars" value="'+i+'" />','<param name="allowScriptAccess" value="always" />','<param name="bgcolor" value="'+this.options.backgroundColor+'" />','<param name="wmode" value="'+this.options.wmode+'" />'];r=document.createElement(s);for(var u=0;u<o.length;u++){r.appendChild(document.createElement(o[u]))}}else{var a=function(e,t,n){var r=document.createElement("param");r.setAttribute("name",t);r.setAttribute("value",n);e.appendChild(r)};r=document.createElement("object");r.setAttribute("id",this.internal.flash.id);r.setAttribute("name",this.internal.flash.id);r.setAttribute("data",this.internal.flash.swf);r.setAttribute("type","application/x-shockwave-flash");r.setAttribute("width","1");r.setAttribute("height","1");r.setAttribute("tabindex","-1");a(r,"flashvars",i);a(r,"allowscriptaccess","always");a(r,"bgcolor",this.options.backgroundColor);a(r,"wmode",this.options.wmode)}this.element.append(r);this.internal.flash.jq=e(r)}if(this.html.used&&!this.flash.used){this.status.playbackRateEnabled=this._testPlaybackRate("audio")}else{this.status.playbackRateEnabled=false}this._updatePlaybackRate();if(this.html.used){if(this.html.audio.available){this._addHtmlEventListeners(this.htmlElement.audio,this.html.audio);this.element.append(this.htmlElement.audio);this.internal.audio.jq=e("#"+this.internal.audio.id)}if(this.html.video.available){this._addHtmlEventListeners(this.htmlElement.video,this.html.video);this.element.append(this.htmlElement.video);this.internal.video.jq=e("#"+this.internal.video.id);if(this.status.nativeVideoControls){this.internal.video.jq.css({width:this.status.width,height:this.status.height})}else{this.internal.video.jq.css({width:"0px",height:"0px"})}this.internal.video.jq.bind("click.jPlayer",function(){n._trigger(e.jPlayer.event.click)})}}if(this.options.emulateHtml){this._emulateHtmlBridge()}if(this.html.used&&!this.flash.used){setTimeout(function(){n.internal.ready=true;n.version.flash="n/a";n._trigger(e.jPlayer.event.repeat);n._trigger(e.jPlayer.event.ready)},100)}this._updateNativeVideoControls();if(this.css.jq.videoPlay.length){this.css.jq.videoPlay.hide()}e.jPlayer.prototype.count++},destroy:function(){this.clearMedia();this._removeUiClass();if(this.css.jq.currentTime.length){this.css.jq.currentTime.text("")}if(this.css.jq.duration.length){this.css.jq.duration.text("")}e.each(this.css.jq,function(e,t){if(t.length){t.unbind(".jPlayer")}});this.internal.poster.jq.unbind(".jPlayer");if(this.internal.video.jq){this.internal.video.jq.unbind(".jPlayer")}this._fullscreenRemoveEventListeners();if(this===e.jPlayer.focus){e.jPlayer.focus=null}if(this.options.emulateHtml){this._destroyHtmlBridge()}this.element.removeData("jPlayer");this.element.unbind(".jPlayer");this.element.empty();delete this.instances[this.internal.instance]},enable:function(){},disable:function(){},_testCanPlayType:function(e){try{e.canPlayType(this.format.mp3.codec);return true}catch(t){return false}},_testPlaybackRate:function(e){var t,n=.5;e=typeof e==="string"?e:"audio";t=document.createElement(e);try{if("playbackRate"in t){t.playbackRate=n;return t.playbackRate===n}else{return false}}catch(r){return false}},_uaBlocklist:function(t){var n=navigator.userAgent.toLowerCase(),r=false;e.each(t,function(e,t){if(t&&t.test(n)){r=true;return false}});return r},_restrictNativeVideoControls:function(){if(this.require.audio){if(this.status.nativeVideoControls){this.status.nativeVideoControls=false;this.status.noFullWindow=true}}},_updateNativeVideoControls:function(){if(this.html.video.available&&this.html.used){this.htmlElement.video.controls=this.status.nativeVideoControls;this._updateAutohide();if(this.status.nativeVideoControls&&this.require.video){this.internal.poster.jq.hide();this.internal.video.jq.css({width:this.status.width,height:this.status.height})}else if(this.status.waitForPlay&&this.status.video){this.internal.poster.jq.show();this.internal.video.jq.css({width:"0px",height:"0px"})}}},_addHtmlEventListeners:function(t,n){var r=this;t.preload=this.options.preload;t.muted=this.options.muted;t.volume=this.options.volume;if(this.status.playbackRateEnabled){t.defaultPlaybackRate=this.options.defaultPlaybackRate;t.playbackRate=this.options.playbackRate}t.addEventListener("progress",function(){if(n.gate){if(r.internal.cmdsIgnored&&this.readyState>0){r.internal.cmdsIgnored=false}r._getHtmlStatus(t);r._updateInterface();r._trigger(e.jPlayer.event.progress)}},false);t.addEventListener("timeupdate",function(){if(n.gate){r._getHtmlStatus(t);r._updateInterface();r._trigger(e.jPlayer.event.timeupdate)}},false);t.addEventListener("durationchange",function(){if(n.gate){r._getHtmlStatus(t);r._updateInterface();r._trigger(e.jPlayer.event.durationchange)}},false);t.addEventListener("play",function(){if(n.gate){r._updateButtons(true);r._html_checkWaitForPlay();r._trigger(e.jPlayer.event.play)}},false);t.addEventListener("playing",function(){if(n.gate){r._updateButtons(true);r._seeked();r._trigger(e.jPlayer.event.playing)}},false);t.addEventListener("pause",function(){if(n.gate){r._updateButtons(false);r._trigger(e.jPlayer.event.pause)}},false);t.addEventListener("waiting",function(){if(n.gate){r._seeking();r._trigger(e.jPlayer.event.waiting)}},false);t.addEventListener("seeking",function(){if(n.gate){r._seeking();r._trigger(e.jPlayer.event.seeking)}},false);t.addEventListener("seeked",function(){if(n.gate){r._seeked();r._trigger(e.jPlayer.event.seeked)}},false);t.addEventListener("volumechange",function(){if(n.gate){r.options.volume=t.volume;r.options.muted=t.muted;r._updateMute();r._updateVolume();r._trigger(e.jPlayer.event.volumechange)}},false);t.addEventListener("ratechange",function(){if(n.gate){r.options.defaultPlaybackRate=t.defaultPlaybackRate;r.options.playbackRate=t.playbackRate;r._updatePlaybackRate();r._trigger(e.jPlayer.event.ratechange)}},false);t.addEventListener("suspend",function(){if(n.gate){r._seeked();r._trigger(e.jPlayer.event.suspend)}},false);t.addEventListener("ended",function(){if(n.gate){if(!e.jPlayer.browser.webkit){r.htmlElement.media.currentTime=0}r.htmlElement.media.pause();r._updateButtons(false);r._getHtmlStatus(t,true);r._updateInterface();r._trigger(e.jPlayer.event.ended)}},false);t.addEventListener("error",function(){if(n.gate){r._updateButtons(false);r._seeked();if(r.status.srcSet){clearTimeout(r.internal.htmlDlyCmdId);r.status.waitForLoad=true;r.status.waitForPlay=true;if(r.status.video&&!r.status.nativeVideoControls){r.internal.video.jq.css({width:"0px",height:"0px"})}if(r._validString(r.status.media.poster)&&!r.status.nativeVideoControls){r.internal.poster.jq.show()}if(r.css.jq.videoPlay.length){r.css.jq.videoPlay.show()}r._error({type:e.jPlayer.error.URL,context:r.status.src,message:e.jPlayer.errorMsg.URL,hint:e.jPlayer.errorHint.URL})}}},false);e.each(e.jPlayer.htmlEvent,function(i,s){t.addEventListener(this,function(){if(n.gate){r._trigger(e.jPlayer.event[s])}},false)})},_getHtmlStatus:function(e,t){var n=0,r=0,i=0,s=0;if(isFinite(e.duration)){this.status.duration=e.duration}n=e.currentTime;r=this.status.duration>0?100*n/this.status.duration:0;if(typeof e.seekable==="object"&&e.seekable.length>0){i=this.status.duration>0?100*e.seekable.end(e.seekable.length-1)/this.status.duration:100;s=this.status.duration>0?100*e.currentTime/e.seekable.end(e.seekable.length-1):0}else{i=100;s=r}if(t){n=0;s=0;r=0}this.status.seekPercent=i;this.status.currentPercentRelative=s;this.status.currentPercentAbsolute=r;this.status.currentTime=n;this.status.videoWidth=e.videoWidth;this.status.videoHeight=e.videoHeight;this.status.readyState=e.readyState;this.status.networkState=e.networkState;this.status.playbackRate=e.playbackRate;this.status.ended=e.ended},_resetStatus:function(){this.status=e.extend({},this.status,e.jPlayer.prototype.status)},_trigger:function(t,n,r){var i=e.Event(t);i.jPlayer={};i.jPlayer.version=e.extend({},this.version);i.jPlayer.options=e.extend(true,{},this.options);i.jPlayer.status=e.extend(true,{},this.status);i.jPlayer.html=e.extend(true,{},this.html);i.jPlayer.flash=e.extend(true,{},this.flash);if(n){i.jPlayer.error=e.extend({},n)}if(r){i.jPlayer.warning=e.extend({},r)}this.element.trigger(i)},jPlayerFlashEvent:function(t,n){if(t===e.jPlayer.event.ready){if(!this.internal.ready){this.internal.ready=true;this.internal.flash.jq.css({width:"0px",height:"0px"});this.version.flash=n.version;if(this.version.needFlash!==this.version.flash){this._error({type:e.jPlayer.error.VERSION,context:this.version.flash,message:e.jPlayer.errorMsg.VERSION+this.version.flash,hint:e.jPlayer.errorHint.VERSION})}this._trigger(e.jPlayer.event.repeat);this._trigger(t)}else{if(this.flash.gate){if(this.status.srcSet){var r=this.status.currentTime,i=this.status.paused;this.setMedia(this.status.media);this.volumeWorker(this.options.volume);if(r>0){if(i){this.pause(r)}else{this.play(r)}}}this._trigger(e.jPlayer.event.flashreset)}}}if(this.flash.gate){switch(t){case e.jPlayer.event.progress:this._getFlashStatus(n);this._updateInterface();this._trigger(t);break;case e.jPlayer.event.timeupdate:this._getFlashStatus(n);this._updateInterface();this._trigger(t);break;case e.jPlayer.event.play:this._seeked();this._updateButtons(true);this._trigger(t);break;case e.jPlayer.event.pause:this._updateButtons(false);this._trigger(t);break;case e.jPlayer.event.ended:this._updateButtons(false);this._trigger(t);break;case e.jPlayer.event.click:this._trigger(t);break;case e.jPlayer.event.error:this.status.waitForLoad=true;this.status.waitForPlay=true;if(this.status.video){this.internal.flash.jq.css({width:"0px",height:"0px"})}if(this._validString(this.status.media.poster)){this.internal.poster.jq.show()}if(this.css.jq.videoPlay.length&&this.status.video){this.css.jq.videoPlay.show()}if(this.status.video){this._flash_setVideo(this.status.media)}else{this._flash_setAudio(this.status.media)}this._updateButtons(false);this._error({type:e.jPlayer.error.URL,context:n.src,message:e.jPlayer.errorMsg.URL,hint:e.jPlayer.errorHint.URL});break;case e.jPlayer.event.seeking:this._seeking();this._trigger(t);break;case e.jPlayer.event.seeked:this._seeked();this._trigger(t);break;case e.jPlayer.event.ready:break;default:this._trigger(t)}}return false},_getFlashStatus:function(e){this.status.seekPercent=e.seekPercent;this.status.currentPercentRelative=e.currentPercentRelative;this.status.currentPercentAbsolute=e.currentPercentAbsolute;this.status.currentTime=e.currentTime;this.status.duration=e.duration;this.status.videoWidth=e.videoWidth;this.status.videoHeight=e.videoHeight;this.status.readyState=4;this.status.networkState=0;this.status.playbackRate=1;this.status.ended=false},_updateButtons:function(e){if(e===t){e=!this.status.paused}else{this.status.paused=!e}if(this.css.jq.play.length&&this.css.jq.pause.length){if(e){this.css.jq.play.hide();this.css.jq.pause.show()}else{this.css.jq.play.show();this.css.jq.pause.hide()}}if(this.css.jq.restoreScreen.length&&this.css.jq.fullScreen.length){if(this.status.noFullWindow){this.css.jq.fullScreen.hide();this.css.jq.restoreScreen.hide()}else if(this.options.fullWindow){this.css.jq.fullScreen.hide();this.css.jq.restoreScreen.show()}else{this.css.jq.fullScreen.show();this.css.jq.restoreScreen.hide()}}if(this.css.jq.repeat.length&&this.css.jq.repeatOff.length){if(this.options.loop){this.css.jq.repeat.hide();this.css.jq.repeatOff.show()}else{this.css.jq.repeat.show();this.css.jq.repeatOff.hide()}}},_updateInterface:function(){if(this.css.jq.seekBar.length){this.css.jq.seekBar.width(this.status.seekPercent+"%")}if(this.css.jq.playBar.length){if(this.options.smoothPlayBar){this.css.jq.playBar.stop().animate({width:this.status.currentPercentAbsolute+"%"},250,"linear")}else{this.css.jq.playBar.width(this.status.currentPercentRelative+"%")}}if(this.css.jq.currentTime.length){this.css.jq.currentTime.text(this._convertTime(this.status.currentTime))}if(this.css.jq.duration.length){this.css.jq.duration.text(this._convertTime(this.status.duration))}},_convertTime:n.prototype.time,_seeking:function(){if(this.css.jq.seekBar.length){this.css.jq.seekBar.addClass("jp-seeking-bg")}},_seeked:function(){if(this.css.jq.seekBar.length){this.css.jq.seekBar.removeClass("jp-seeking-bg")}},_resetGate:function(){this.html.audio.gate=false;this.html.video.gate=false;this.flash.gate=false},_resetActive:function(){this.html.active=false;this.flash.active=false},_escapeHtml:function(e){return e.split("&").join("&").split("<").join("&lt;").split(">").join("&gt;").split('"').join("&quot;")},_qualifyURL:function(e){var t=document.createElement("div");t.innerHTML='<a href="'+this._escapeHtml(e)+'">x</a>';return t.firstChild.href},_absoluteMediaUrls:function(t){var n=this;e.each(t,function(e,r){if(r&&n.format[e]){t[e]=n._qualifyURL(r)}});return t},setMedia:function(t){var n=this,r=false,i=this.status.media.poster!==t.poster;this._resetMedia();this._resetGate();this._resetActive();t=this._absoluteMediaUrls(t);e.each(this.formats,function(i,s){var o=n.format[s].media==="video";e.each(n.solutions,function(e,i){if(n[i].support[s]&&n._validString(t[s])){var u=i==="html";if(o){if(u){n.html.video.gate=true;n._html_setVideo(t);n.html.active=true}else{n.flash.gate=true;n._flash_setVideo(t);n.flash.active=true}if(n.css.jq.videoPlay.length){n.css.jq.videoPlay.show()}n.status.video=true}else{if(u){n.html.audio.gate=true;n._html_setAudio(t);n.html.active=true}else{n.flash.gate=true;n._flash_setAudio(t);n.flash.active=true}if(n.css.jq.videoPlay.length){n.css.jq.videoPlay.hide()}n.status.video=false}r=true;return false}});if(r){return false}});if(r){if(!(this.status.nativeVideoControls&&this.html.video.gate)){if(this._validString(t.poster)){if(i){this.htmlElement.poster.src=t.poster}else{this.internal.poster.jq.show()}}}this.status.srcSet=true;this.status.media=e.extend({},t);this._updateButtons(false);this._updateInterface()}else{this._error({type:e.jPlayer.error.NO_SUPPORT,context:"{supplied:'"+this.options.supplied+"'}",message:e.jPlayer.errorMsg.NO_SUPPORT,hint:e.jPlayer.errorHint.NO_SUPPORT})}},_resetMedia:function(){this._resetStatus();this._updateButtons(false);this._updateInterface();this._seeked();this.internal.poster.jq.hide();clearTimeout(this.internal.htmlDlyCmdId);if(this.html.active){this._html_resetMedia()}else if(this.flash.active){this._flash_resetMedia()}},clearMedia:function(){this._resetMedia();if(this.html.active){this._html_clearMedia()}else if(this.flash.active){this._flash_clearMedia()}this._resetGate();this._resetActive()},load:function(){if(this.status.srcSet){if(this.html.active){this._html_load()}else if(this.flash.active){this._flash_load()}}else{this._urlNotSetError("load")}},focus:function(){if(this.options.keyEnabled){e.jPlayer.focus=this}},play:function(e){e=typeof e==="number"?e:NaN;if(this.status.srcSet){this.focus();if(this.html.active){this._html_play(e)}else if(this.flash.active){this._flash_play(e)}}else{this._urlNotSetError("play")}},videoPlay:function(){this.play()},pause:function(e){e=typeof e==="number"?e:NaN;if(this.status.srcSet){if(this.html.active){this._html_pause(e)}else if(this.flash.active){this._flash_pause(e)}}else{this._urlNotSetError("pause")}},tellOthers:function(t,n){var r=this,i=typeof n==="function",s=Array.prototype.slice.call(arguments);if(typeof t!=="string"){return}if(i){s.splice(1,1)}e.each(this.instances,function(){if(r.element!==this){if(!i||n.call(this.data("jPlayer"),r)){this.jPlayer.apply(this,s)}}})},pauseOthers:function(e){this.tellOthers("pause",function(){return this.status.srcSet},e)},stop:function(){if(this.status.srcSet){if(this.html.active){this._html_pause(0)}else if(this.flash.active){this._flash_pause(0)}}else{this._urlNotSetError("stop")}},playHead:function(e){e=this._limitValue(e,0,100);if(this.status.srcSet){if(this.html.active){this._html_playHead(e)}else if(this.flash.active){this._flash_playHead(e)}}else{this._urlNotSetError("playHead")}},_muted:function(e){this.mutedWorker(e);if(this.options.globalVolume){this.tellOthers("mutedWorker",function(){return this.options.globalVolume},e)}},mutedWorker:function(t){this.options.muted=t;if(this.html.used){this._html_setProperty("muted",t)}if(this.flash.used){this._flash_mute(t)}if(!this.html.video.gate&&!this.html.audio.gate){this._updateMute(t);this._updateVolume(this.options.volume);this._trigger(e.jPlayer.event.volumechange)}},mute:function(e){e=e===t?true:!!e;this._muted(e)},unmute:function(e){e=e===t?true:!!e;this._muted(!e)},_updateMute:function(e){if(e===t){e=this.options.muted}if(this.css.jq.mute.length&&this.css.jq.unmute.length){if(this.status.noVolume){this.css.jq.mute.hide();this.css.jq.unmute.hide()}else if(e){this.css.jq.mute.hide();this.css.jq.unmute.show()}else{this.css.jq.mute.show();this.css.jq.unmute.hide()}}},volume:function(e){this.volumeWorker(e);if(this.options.globalVolume){this.tellOthers("volumeWorker",function(){return this.options.globalVolume},e)}},volumeWorker:function(t){t=this._limitValue(t,0,1);this.options.volume=t;if(this.html.used){this._html_setProperty("volume",t)}if(this.flash.used){this._flash_volume(t)}if(!this.html.video.gate&&!this.html.audio.gate){this._updateVolume(t);this._trigger(e.jPlayer.event.volumechange)}},volumeBar:function(t){if(this.css.jq.volumeBar.length){var n=e(t.currentTarget),r=n.offset(),i=t.pageX-r.left,s=n.width(),o=n.height()-t.pageY+r.top,u=n.height();if(this.options.verticalVolume){this.volume(o/u)}else{this.volume(i/s)}}if(this.options.muted){this._muted(false)}},_updateVolume:function(e){if(e===t){e=this.options.volume}e=this.options.muted?0:e;if(this.status.noVolume){if(this.css.jq.volumeBar.length){this.css.jq.volumeBar.hide()}if(this.css.jq.volumeBarValue.length){this.css.jq.volumeBarValue.hide()}if(this.css.jq.volumeMax.length){this.css.jq.volumeMax.hide()}}else{if(this.css.jq.volumeBar.length){this.css.jq.volumeBar.show()}if(this.css.jq.volumeBarValue.length){this.css.jq.volumeBarValue.show();this.css.jq.volumeBarValue[this.options.verticalVolume?"height":"width"](e*100+"%")}if(this.css.jq.volumeMax.length){this.css.jq.volumeMax.show()}}},volumeMax:function(){this.volume(1);if(this.options.muted){this._muted(false)}},_cssSelectorAncestor:function(t){var n=this;this.options.cssSelectorAncestor=t;this._removeUiClass();this.ancestorJq=t?e(t):[];if(t&&this.ancestorJq.length!==1){this._warning({type:e.jPlayer.warning.CSS_SELECTOR_COUNT,context:t,message:e.jPlayer.warningMsg.CSS_SELECTOR_COUNT+this.ancestorJq.length+" found for cssSelectorAncestor.",hint:e.jPlayer.warningHint.CSS_SELECTOR_COUNT})}this._addUiClass();e.each(this.options.cssSelector,function(e,t){n._cssSelector(e,t)});this._updateInterface();this._updateButtons();this._updateAutohide();this._updateVolume();this._updateMute()},_cssSelector:function(t,n){var r=this;if(typeof n==="string"){if(e.jPlayer.prototype.options.cssSelector[t]){if(this.css.jq[t]&&this.css.jq[t].length){this.css.jq[t].unbind(".jPlayer")}this.options.cssSelector[t]=n;this.css.cs[t]=this.options.cssSelectorAncestor+" "+n;if(n){this.css.jq[t]=e(this.css.cs[t])}else{this.css.jq[t]=[]}if(this.css.jq[t].length&&this[t]){var i=function(n){n.preventDefault();r[t](n);e(this).blur()};this.css.jq[t].bind("click.jPlayer",i)}if(n&&this.css.jq[t].length!==1){this._warning({type:e.jPlayer.warning.CSS_SELECTOR_COUNT,context:this.css.cs[t],message:e.jPlayer.warningMsg.CSS_SELECTOR_COUNT+this.css.jq[t].length+" found for "+t+" method.",hint:e.jPlayer.warningHint.CSS_SELECTOR_COUNT})}}else{this._warning({type:e.jPlayer.warning.CSS_SELECTOR_METHOD,context:t,message:e.jPlayer.warningMsg.CSS_SELECTOR_METHOD,hint:e.jPlayer.warningHint.CSS_SELECTOR_METHOD})}}else{this._warning({type:e.jPlayer.warning.CSS_SELECTOR_STRING,context:n,message:e.jPlayer.warningMsg.CSS_SELECTOR_STRING,hint:e.jPlayer.warningHint.CSS_SELECTOR_STRING})}},seekBar:function(t){if(this.css.jq.seekBar.length){var n=e(t.currentTarget),r=n.offset(),i=t.pageX-r.left,s=n.width(),o=100*i/s;this.playHead(o)}},playbackRate:function(e){this._setOption("playbackRate",e)},playbackRateBar:function(t){if(this.css.jq.playbackRateBar.length){var n=e(t.currentTarget),r=n.offset(),i=t.pageX-r.left,s=n.width(),o=n.height()-t.pageY+r.top,u=n.height(),a,f;if(this.options.verticalPlaybackRate){a=o/u}else{a=i/s}f=a*(this.options.maxPlaybackRate-this.options.minPlaybackRate)+this.options.minPlaybackRate;this.playbackRate(f)}},_updatePlaybackRate:function(){var e=this.options.playbackRate,t=(e-this.options.minPlaybackRate)/(this.options.maxPlaybackRate-this.options.minPlaybackRate);if(this.status.playbackRateEnabled){if(this.css.jq.playbackRateBar.length){this.css.jq.playbackRateBar.show()}if(this.css.jq.playbackRateBarValue.length){this.css.jq.playbackRateBarValue.show();this.css.jq.playbackRateBarValue[this.options.verticalPlaybackRate?"height":"width"](t*100+"%")}}else{if(this.css.jq.playbackRateBar.length){this.css.jq.playbackRateBar.hide()}if(this.css.jq.playbackRateBarValue.length){this.css.jq.playbackRateBarValue.hide()}}},repeat:function(){this._loop(true)},repeatOff:function(){this._loop(false)},_loop:function(t){if(this.options.loop!==t){this.options.loop=t;this._updateButtons();this._trigger(e.jPlayer.event.repeat)}},option:function(n,r){var i=n;if(arguments.length===0){return e.extend(true,{},this.options)}if(typeof n==="string"){var s=n.split(".");if(r===t){var o=e.extend(true,{},this.options);for(var u=0;u<s.length;u++){if(o[s[u]]!==t){o=o[s[u]]}else{this._warning({type:e.jPlayer.warning.OPTION_KEY,context:n,message:e.jPlayer.warningMsg.OPTION_KEY,hint:e.jPlayer.warningHint.OPTION_KEY});return t}}return o}i={};var a=i;for(var f=0;f<s.length;f++){if(f<s.length-1){a[s[f]]={};a=a[s[f]]}else{a[s[f]]=r}}}this._setOptions(i);return this},_setOptions:function(t){var n=this;e.each(t,function(e,t){n._setOption(e,t)});return this},_setOption:function(t,n){var r=this;switch(t){case"volume":this.volume(n);break;case"muted":this._muted(n);break;case"globalVolume":this.options[t]=n;break;case"cssSelectorAncestor":this._cssSelectorAncestor(n);break;case"cssSelector":e.each(n,function(e,t){r._cssSelector(e,t)});break;case"playbackRate":this.options[t]=n=this._limitValue(n,this.options.minPlaybackRate,this.options.maxPlaybackRate);if(this.html.used){this._html_setProperty("playbackRate",n)}this._updatePlaybackRate();break;case"defaultPlaybackRate":this.options[t]=n=this._limitValue(n,this.options.minPlaybackRate,this.options.maxPlaybackRate);if(this.html.used){this._html_setProperty("defaultPlaybackRate",n)}this._updatePlaybackRate();break;case"minPlaybackRate":this.options[t]=n=this._limitValue(n,.1,this.options.maxPlaybackRate-.1);this._updatePlaybackRate();break;case"maxPlaybackRate":this.options[t]=n=this._limitValue(n,this.options.minPlaybackRate+.1,16);this._updatePlaybackRate();break;case"fullScreen":if(this.options[t]!==n){var i=e.jPlayer.nativeFeatures.fullscreen.used.webkitVideo;if(!i||i&&!this.status.waitForPlay){if(!i){this.options[t]=n}if(n){this._requestFullscreen()}else{this._exitFullscreen()}if(!i){this._setOption("fullWindow",n)}}}break;case"fullWindow":if(this.options[t]!==n){this._removeUiClass();this.options[t]=n;this._refreshSize()}break;case"size":if(!this.options.fullWindow&&this.options[t].cssClass!==n.cssClass){this._removeUiClass()}this.options[t]=e.extend({},this.options[t],n);this._refreshSize();break;case"sizeFull":if(this.options.fullWindow&&this.options[t].cssClass!==n.cssClass){this._removeUiClass()}this.options[t]=e.extend({},this.options[t],n);this._refreshSize();break;case"autohide":this.options[t]=e.extend({},this.options[t],n);this._updateAutohide();break;case"loop":this._loop(n);break;case"nativeVideoControls":this.options[t]=e.extend({},this.options[t],n);this.status.nativeVideoControls=this._uaBlocklist(this.options.nativeVideoControls);this._restrictNativeVideoControls();this._updateNativeVideoControls();break;case"noFullWindow":this.options[t]=e.extend({},this.options[t],n);this.status.nativeVideoControls=this._uaBlocklist(this.options.nativeVideoControls);this.status.noFullWindow=this._uaBlocklist(this.options.noFullWindow);this._restrictNativeVideoControls();this._updateButtons();break;case"noVolume":this.options[t]=e.extend({},this.options[t],n);this.status.noVolume=this._uaBlocklist(this.options.noVolume);this._updateVolume();this._updateMute();break;case"emulateHtml":if(this.options[t]!==n){this.options[t]=n;if(n){this._emulateHtmlBridge()}else{this._destroyHtmlBridge()}}break;case"timeFormat":this.options[t]=e.extend({},this.options[t],n);break;case"keyEnabled":this.options[t]=n;if(!n&&this===e.jPlayer.focus){e.jPlayer.focus=null}break;case"keyBindings":this.options[t]=e.extend(true,{},this.options[t],n);break;case"audioFullScreen":this.options[t]=n;break}return this},_refreshSize:function(){this._setSize();this._addUiClass();this._updateSize();this._updateButtons();this._updateAutohide();this._trigger(e.jPlayer.event.resize)},_setSize:function(){if(this.options.fullWindow){this.status.width=this.options.sizeFull.width;this.status.height=this.options.sizeFull.height;this.status.cssClass=this.options.sizeFull.cssClass}else{this.status.width=this.options.size.width;this.status.height=this.options.size.height;this.status.cssClass=this.options.size.cssClass}this.element.css({width:this.status.width,height:this.status.height})},_addUiClass:function(){if(this.ancestorJq.length){this.ancestorJq.addClass(this.status.cssClass)}},_removeUiClass:function(){if(this.ancestorJq.length){this.ancestorJq.removeClass(this.status.cssClass)}},_updateSize:function(){this.internal.poster.jq.css({width:this.status.width,height:this.status.height});if(!this.status.waitForPlay&&this.html.active&&this.status.video||this.html.video.available&&this.html.used&&this.status.nativeVideoControls){this.internal.video.jq.css({width:this.status.width,height:this.status.height})}else if(!this.status.waitForPlay&&this.flash.active&&this.status.video){this.internal.flash.jq.css({width:this.status.width,height:this.status.height})}},_updateAutohide:function(){var e=this,t="mousemove.jPlayer",n=".jPlayerAutohide",r=t+n,i=function(){e.css.jq.gui.fadeIn(e.options.autohide.fadeIn,function(){clearTimeout(e.internal.autohideId);e.internal.autohideId=setTimeout(function(){e.css.jq.gui.fadeOut(e.options.autohide.fadeOut)},e.options.autohide.hold)})};if(this.css.jq.gui.length){this.css.jq.gui.stop(true,true);clearTimeout(this.internal.autohideId);this.element.unbind(n);this.css.jq.gui.unbind(n);if(!this.status.nativeVideoControls){if(this.options.fullWindow&&this.options.autohide.full||!this.options.fullWindow&&this.options.autohide.restored){this.element.bind(r,i);this.css.jq.gui.bind(r,i);this.css.jq.gui.hide()}else{this.css.jq.gui.show()}}else{this.css.jq.gui.hide()}}},fullScreen:function(){this._setOption("fullScreen",true)},restoreScreen:function(){this._setOption("fullScreen",false)},_fullscreenAddEventListeners:function(){var t=this,n=e.jPlayer.nativeFeatures.fullscreen;if(n.api.fullscreenEnabled){if(n.event.fullscreenchange){if(typeof this.internal.fullscreenchangeHandler!=="function"){this.internal.fullscreenchangeHandler=function(){t._fullscreenchange()}}document.addEventListener(n.event.fullscreenchange,this.internal.fullscreenchangeHandler,false)}}},_fullscreenRemoveEventListeners:function(){var t=e.jPlayer.nativeFeatures.fullscreen;if(this.internal.fullscreenchangeHandler){document.addEventListener(t.event.fullscreenchange,this.internal.fullscreenchangeHandler,false)}},_fullscreenchange:function(){if(this.options.fullScreen&&!e.jPlayer.nativeFeatures.fullscreen.api.fullscreenElement()){this._setOption("fullScreen",false)}},_requestFullscreen:function(){var t=this.ancestorJq.length?this.ancestorJq[0]:this.element[0],n=e.jPlayer.nativeFeatures.fullscreen;if(n.used.webkitVideo){t=this.htmlElement.video}if(n.api.fullscreenEnabled){n.api.requestFullscreen(t)}},_exitFullscreen:function(){var t=e.jPlayer.nativeFeatures.fullscreen,n;if(t.used.webkitVideo){n=this.htmlElement.video}if(t.api.fullscreenEnabled){t.api.exitFullscreen(n)}},_html_initMedia:function(t){var n=e(this.htmlElement.media).empty();e.each(t.track||[],function(e,t){var r=document.createElement("track");r.setAttribute("kind",t.kind?t.kind:"");r.setAttribute("src",t.src?t.src:"");r.setAttribute("srclang",t.srclang?t.srclang:"");r.setAttribute("label",t.label?t.label:"");if(t.def){r.setAttribute("default",t.def)}n.append(r)});this.htmlElement.media.src=this.status.src;if(this.options.preload!=="none"){this._html_load()}this._trigger(e.jPlayer.event.timeupdate)},_html_setFormat:function(t){var n=this;e.each(this.formats,function(e,r){if(n.html.support[r]&&t[r]){n.status.src=t[r];n.status.format[r]=true;n.status.formatType=r;return false}})},_html_setAudio:function(e){this._html_setFormat(e);this.htmlElement.media=this.htmlElement.audio;this._html_initMedia(e)},_html_setVideo:function(e){this._html_setFormat(e);if(this.status.nativeVideoControls){this.htmlElement.video.poster=this._validString(e.poster)?e.poster:""}this.htmlElement.media=this.htmlElement.video;this._html_initMedia(e)},_html_resetMedia:function(){if(this.htmlElement.media){if(this.htmlElement.media.id===this.internal.video.id&&!this.status.nativeVideoControls){this.internal.video.jq.css({width:"0px",height:"0px"})}this.htmlElement.media.pause()}},_html_clearMedia:function(){if(this.htmlElement.media){this.htmlElement.media.src="about:blank";this.htmlElement.media.load()}},_html_load:function(){if(this.status.waitForLoad){this.status.waitForLoad=false;this.htmlElement.media.load()}clearTimeout(this.internal.htmlDlyCmdId)},_html_play:function(e){var t=this,n=this.htmlElement.media;this._html_load();if(!isNaN(e)){if(this.internal.cmdsIgnored){n.play()}try{if(!n.seekable||typeof n.seekable==="object"&&n.seekable.length>0){n.currentTime=e;n.play()}else{throw 1}}catch(r){this.internal.htmlDlyCmdId=setTimeout(function(){t.play(e)},250);return}}else{n.play()}this._html_checkWaitForPlay()},_html_pause:function(e){var t=this,n=this.htmlElement.media;if(e>0){this._html_load()}else{clearTimeout(this.internal.htmlDlyCmdId)}n.pause();if(!isNaN(e)){try{if(!n.seekable||typeof n.seekable==="object"&&n.seekable.length>0){n.currentTime=e}else{throw 1}}catch(r){this.internal.htmlDlyCmdId=setTimeout(function(){t.pause(e)},250);return}}if(e>0){this._html_checkWaitForPlay()}},_html_playHead:function(e){var t=this,n=this.htmlElement.media;this._html_load();try{if(typeof n.seekable==="object"&&n.seekable.length>0){n.currentTime=e*n.seekable.end(n.seekable.length-1)/100}else if(n.duration>0&&!isNaN(n.duration)){n.currentTime=e*n.duration/100}else{throw"e"}}catch(r){this.internal.htmlDlyCmdId=setTimeout(function(){t.playHead(e)},250);return}if(!this.status.waitForLoad){this._html_checkWaitForPlay()}},_html_checkWaitForPlay:function(){if(this.status.waitForPlay){this.status.waitForPlay=false;if(this.css.jq.videoPlay.length){this.css.jq.videoPlay.hide()}if(this.status.video){this.internal.poster.jq.hide();this.internal.video.jq.css({width:this.status.width,height:this.status.height})}}},_html_setProperty:function(e,t){if(this.html.audio.available){this.htmlElement.audio[e]=t}if(this.html.video.available){this.htmlElement.video[e]=t}},_flash_setAudio:function(t){var n=this;try{e.each(this.formats,function(e,r){if(n.flash.support[r]&&t[r]){switch(r){case"m4a":case"fla":n._getMovie().fl_setAudio_m4a(t[r]);break;case"mp3":n._getMovie().fl_setAudio_mp3(t[r]);break;case"rtmpa":n._getMovie().fl_setAudio_rtmp(t[r]);break}n.status.src=t[r];n.status.format[r]=true;n.status.formatType=r;return false}});if(this.options.preload==="auto"){this._flash_load();this.status.waitForLoad=false}}catch(r){this._flashError(r)}},_flash_setVideo:function(t){var n=this;try{e.each(this.formats,function(e,r){if(n.flash.support[r]&&t[r]){switch(r){case"m4v":case"flv":n._getMovie().fl_setVideo_m4v(t[r]);break;case"rtmpv":n._getMovie().fl_setVideo_rtmp(t[r]);break}n.status.src=t[r];n.status.format[r]=true;n.status.formatType=r;return false}});if(this.options.preload==="auto"){this._flash_load();this.status.waitForLoad=false}}catch(r){this._flashError(r)}},_flash_resetMedia:function(){this.internal.flash.jq.css({width:"0px",height:"0px"});this._flash_pause(NaN)},_flash_clearMedia:function(){try{this._getMovie().fl_clearMedia()}catch(e){this._flashError(e)}},_flash_load:function(){try{this._getMovie().fl_load()}catch(e){this._flashError(e)}this.status.waitForLoad=false},_flash_play:function(e){try{this._getMovie().fl_play(e)}catch(t){this._flashError(t)}this.status.waitForLoad=false;this._flash_checkWaitForPlay()},_flash_pause:function(e){try{this._getMovie().fl_pause(e)}catch(t){this._flashError(t)}if(e>0){this.status.waitForLoad=false;this._flash_checkWaitForPlay()}},_flash_playHead:function(e){try{this._getMovie().fl_play_head(e)}catch(t){this._flashError(t)}if(!this.status.waitForLoad){this._flash_checkWaitForPlay()}},_flash_checkWaitForPlay:function(){if(this.status.waitForPlay){this.status.waitForPlay=false;if(this.css.jq.videoPlay.length){this.css.jq.videoPlay.hide()}if(this.status.video){this.internal.poster.jq.hide();this.internal.flash.jq.css({width:this.status.width,height:this.status.height})}}},_flash_volume:function(e){try{this._getMovie().fl_volume(e)}catch(t){this._flashError(t)}},_flash_mute:function(e){try{this._getMovie().fl_mute(e)}catch(t){this._flashError(t)}},_getMovie:function(){return document[this.internal.flash.id]},_getFlashPluginVersion:function(){var e=0,t;if(window.ActiveXObject){try{t=new ActiveXObject("ShockwaveFlash.ShockwaveFlash");if(t){var n=t.GetVariable("$version");if(n){n=n.split(" ")[1].split(",");e=parseInt(n[0],10)+"."+parseInt(n[1],10)}}}catch(r){}}else if(navigator.plugins&&navigator.mimeTypes.length>0){t=navigator.plugins["Shockwave Flash"];if(t){e=navigator.plugins["Shockwave Flash"].description.replace(/.*\s(\d+\.\d+).*/,"$1")}}return e*1},_checkForFlash:function(e){var t=false;if(this._getFlashPluginVersion()>=e){t=true}return t},_validString:function(e){return e&&typeof e==="string"},_limitValue:function(e,t,n){return e<t?t:e>n?n:e},_urlNotSetError:function(t){this._error({type:e.jPlayer.error.URL_NOT_SET,context:t,message:e.jPlayer.errorMsg.URL_NOT_SET,hint:e.jPlayer.errorHint.URL_NOT_SET})},_flashError:function(t){var n;if(!this.internal.ready){n="FLASH"}else{n="FLASH_DISABLED"}this._error({type:e.jPlayer.error[n],context:this.internal.flash.swf,message:e.jPlayer.errorMsg[n]+t.message,hint:e.jPlayer.errorHint[n]});this.internal.flash.jq.css({width:"1px",height:"1px"})},_error:function(t){this._trigger(e.jPlayer.event.error,t);if(this.options.errorAlerts){this._alert("Error!"+(t.message?"\n"+t.message:"")+(t.hint?"\n"+t.hint:"")+"\nContext: "+t.context)}},_warning:function(n){this._trigger(e.jPlayer.event.warning,t,n);if(this.options.warningAlerts){this._alert("Warning!"+(n.message?"\n"+n.message:"")+(n.hint?"\n"+n.hint:"")+"\nContext: "+n.context)}},_alert:function(e){var t="jPlayer "+this.version.script+" : id='"+this.internal.self.id+"' : "+e;if(!this.options.consoleAlerts){alert(t)}else if(window.console&&window.console.log){window.console.log(t)}},_emulateHtmlBridge:function(){var t=this;e.each(e.jPlayer.emulateMethods.split(/\s+/g),function(e,n){t.internal.domNode[n]=function(e){t[n](e)}});e.each(e.jPlayer.event,function(n,r){var i=true;e.each(e.jPlayer.reservedEvent.split(/\s+/g),function(e,t){if(t===n){i=false;return false}});if(i){t.element.bind(r+".jPlayer.jPlayerHtml",function(){t._emulateHtmlUpdate();var e=document.createEvent("Event");e.initEvent(n,false,true);t.internal.domNode.dispatchEvent(e)})}})},_emulateHtmlUpdate:function(){var t=this;e.each(e.jPlayer.emulateStatus.split(/\s+/g),function(e,n){t.internal.domNode[n]=t.status[n]});e.each(e.jPlayer.emulateOptions.split(/\s+/g),function(e,n){t.internal.domNode[n]=t.options[n]})},_destroyHtmlBridge:function(){var t=this;this.element.unbind(".jPlayerHtml");var n=e.jPlayer.emulateMethods+" "+e.jPlayer.emulateStatus+" "+e.jPlayer.emulateOptions;e.each(n.split(/\s+/g),function(e,n){delete t.internal.domNode[n]})}};e.jPlayer.error={FLASH:"e_flash",FLASH_DISABLED:"e_flash_disabled",NO_SOLUTION:"e_no_solution",NO_SUPPORT:"e_no_support",URL:"e_url",URL_NOT_SET:"e_url_not_set",VERSION:"e_version"};e.jPlayer.errorMsg={FLASH:"jPlayer's Flash fallback is not configured correctly, or a command was issued before the jPlayer Ready event. Details: ",FLASH_DISABLED:"jPlayer's Flash fallback has been disabled by the browser due to the CSS rules you have used. Details: ",NO_SOLUTION:"No solution can be found by jPlayer in this browser. Neither HTML nor Flash can be used.",NO_SUPPORT:"It is not possible to play any media format provided in setMedia() on this browser using your current options.",URL:"Media URL could not be loaded.",URL_NOT_SET:"Attempt to issue media playback commands, while no media url is set.",VERSION:"jPlayer "+e.jPlayer.prototype.version.script+" needs Jplayer.swf version "+e.jPlayer.prototype.version.needFlash+" but found "};e.jPlayer.errorHint={FLASH:"Check your swfPath option and that Jplayer.swf is there.",FLASH_DISABLED:"Check that you have not display:none; the jPlayer entity or any ancestor.",NO_SOLUTION:"Review the jPlayer options: support and supplied.",NO_SUPPORT:"Video or audio formats defined in the supplied option are missing.",URL:"Check media URL is valid.",URL_NOT_SET:"Use setMedia() to set the media URL.",VERSION:"Update jPlayer files."};e.jPlayer.warning={CSS_SELECTOR_COUNT:"e_css_selector_count",CSS_SELECTOR_METHOD:"e_css_selector_method",CSS_SELECTOR_STRING:"e_css_selector_string",OPTION_KEY:"e_option_key"};e.jPlayer.warningMsg={CSS_SELECTOR_COUNT:"The number of css selectors found did not equal one: ",CSS_SELECTOR_METHOD:"The methodName given in jPlayer('cssSelector') is not a valid jPlayer method.",CSS_SELECTOR_STRING:"The methodCssSelector given in jPlayer('cssSelector') is not a String or is empty.",OPTION_KEY:"The option requested in jPlayer('option') is undefined."};e.jPlayer.warningHint={CSS_SELECTOR_COUNT:"Check your css selector and the ancestor.",CSS_SELECTOR_METHOD:"Check your method name.",CSS_SELECTOR_STRING:"Check your css selector is a string.",OPTION_KEY:"Check your option name."}})